Package net.shibboleth.idp.session.logic

# Class IPRangeBiPredicate

java.lang.Object
net.shibboleth.idp.session.logic.IPRangeBiPredicate

All Implemented Interfaces:
  `BiPredicate<String,String>`

public class IPRangeBiPredicate extends Object implements BiPredicate<String,String>
A `BiPredicate` that checks if a pair of addresses are either equal, or share an `IPRange`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<IPRange>`
`addressRanges`
IP ranges to match against.

## Constructor Summary

Constructors
Constructor
Description
`IPRangeBiPredicate()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setRanges(Collection<IPRange> ranges)`
Set the address ranges to check against.
`boolean`
`test(String input1, String input2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or`

## Field Details

### addressRanges

@Nonnull private Collection<IPRange> addressRanges
IP ranges to match against.

## Constructor Details

### IPRangeBiPredicate

IPRangeBiPredicate()
Constructor.

## Method Details

### setRanges

public void setRanges(@Nonnull Collection<IPRange> ranges)
Set the address ranges to check against.

Parameters:
  `ranges` - address ranges to check against

### test

public boolean test(@Nullable String input1, @Nullable String input2)

Specified by:
  `test` in interface `BiPredicate<String,String>`